Cart order
/cart/orderPre-Purchase order
Convert your order to buy request, then send order_id,total_price to v2/cart/purchaser.
Query method
POSThttps://api.stableproxy.com/v2/cart/order
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| traffic-unitNot necessarily | nullablestringin:gb | "gb" |
| period-unitNot necessarily | nullablestringin:weeks, weeks, months, years | "weeks" |
| traffic-amount | requiredilluminate\_validation\_invokable_validation_rule | null |
| period-amount | requiredintegerin:1 | "1" |
| countNot necessarily | nullableinteger | 30 |
| countriesNot necessarily | nullablearray | {"UA": 10, "PL": 20} |
| type | requiredstringin:shared, private, mobile_rotating_gb, residential_gb, datacenter_gb, residential_city_gb, residential_static_gb, mobile_gb, mobile_static, mobile_static_gb, mobile_shared_gb, mobile_private_gb | "shared" |
| currencyNot necessarily | nullablestringcurrency_code | "USD" |
| has-unlimited-auth-ipsNot necessarily | nullableex-boolean | false |
| serviceNot necessarily | nullablestringilluminate\_validation\_rules\_in | 97 |
| ip-scoreNot necessarily | nullablenumeric | 29 |
Code examples
1const baseUrl = "https://api.stableproxy.com/v2";2const response = await fetch(baseUrl + "/cart/order", {3 method: "POST",4 headers: {5 "Content-Type": "application/json"6 },7 body: JSON.stringify({8 "traffic-unit": "\"gb\"",9 "period-unit": "\"weeks\"",10 "traffic-amount": "null",11 "period-amount": "\"1\"",12 "count": 30,13 "countries": "{\"UA\": 10, \"PL\": 20}",14 "type": "\"shared\"",15 "currency": "\"USD\"",16 "has-unlimited-auth-ips": "false",17 "service": 97,18 "ip-score": 2919 })20});21const data = await response.json();Examples of answers
Success response200application/json
{
"data": {
"buy_data": {
"order_id": "bbb940d1-3263-4dd3-ae93-9e2d31e2e0ce",
"expire_at": "2024-11-10T19:28:40.071445Z",
"logged_in": false,
"money_enough": false,
"total_price": 3.34,
"total_price_in_usd": 3.34
},
"warnings": [],
"order": {
"version": 32,
"added_price_per_day": 0,
"already_spent_in_usd": 0,
"count": 30,
"traffic_amount": 25,
"traffic_unit": "gb",
"period_amount": 1,
"period_unit": "weeks",
"countries": {
"UA": 10,
"PL": 20
},
"currency": "USD",
"type": "shared",
"has_unlimited_auth_ips": false,
"user_id": null,
"ip_score": 29,
"geo_service": "adspower",
"id": "bbb940d1-3263-4dd3-ae93-9e2d31e2e0ce",
"already_spent": 0,
"pay_for_setup": false,
"prices": {
"overall": 3.34,
"one_proxy": 0.08,
"overall_formatted": "$3.34",
"one_proxy_formatted": "$0.08 - 1 proxy",
"overall_usd": 3.34,
"one_proxy_usd": 0.08,
"overall_formatted_usd": "$3.34",
"version": 32,
"one_proxy_formatted_usd": "$0.08 - 1 proxy",
"currency": "USD",
"sale_percentage": 1,
"sale_amount_usd": 0,
"sale_amount": 0
},
"renew_prices": {
"overall": 3.34,
"one_proxy": 0.08,
"overall_formatted": "$3.34",
"one_proxy_formatted": "$0.08 - 1 proxy",
"overall_usd": 3.34,
"one_proxy_usd": 0.08,
"overall_formatted_usd": "$3.34",
"version": 32,
"one_proxy_formatted_usd": "$0.08 - 1 proxy",
"currency": "USD",
"sale_percentage": 1,
"sale_amount_usd": 0,
"sale_amount": 0
}
}
},
"good": true,
"timestamp": 1731265120,
"cause": {
"type": "anonymous",
"user_id": -1
}
}